System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.SystemException

The method throws when a component cannot obtain a valid license. This occurs when a component is either not licensed, or is licensed but cannot be granted a valid license.

For more information on licensing, see How to: License Components and Controls.

Represents the exception thrown when a component cannot be granted a license.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class for the type of component that was denied a license.

  A that represents the type of component that was not granted a license.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the given and .

  The to be used for deserialization.
  The destination to be used for deserialization.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class for the type and the instance of the component that was denied a license.

  A that represents the type of component that was not granted a license.
  The instance of the component that was not granted a license.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class for the type and the instance of the component that was denied a license, along with a message to display.

  A that represents the type of component that was not granted a license.
  The instance of the component that was not granted a license.
  The exception message to display.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class for the type and the instance of the component that was denied a license, along with a message to display and the original exception thrown.

  A that represents the type of component that was not granted a license.
  The instance of the component that was not granted a license.
  The exception message to display.
  An that represents the original exception.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Sets the with information about the exception.

  The to be used for deserialization. The destination to be used for deserialization.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added: an object of type 'Type' To be added

  Gets the type of the component that was not granted a license.